package xyz.wbsite.module.admin.req;

import xyz.wbsite.frame.base.BaseUpdateRequest;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import javax.validation.constraints.NotEmpty;

/**
 * LocationsUpdateRequest - 路径配置更新
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2021-02-08
 */
public class LocationsUpdateRequest extends BaseUpdateRequest {

    /**
     * 主键.
     */
    @NotNull(message = "[id]主键不能为NULL")
    private Long id;

    /**
     * 服务主键.
     */
    @NotNull(message = "[servicesId]服务主键不能为NULL")
    private Long servicesId;

    /**
     * 配置标题.
     */
    @NotBlank(message = "[localTitle]配置标题不能为空")
    @Length(min = 0, max = 50, message = "[localTitle]配置标题长度不合法(0-50)")
    private String localTitle;

    /**
     * 配置备注.
     */
    @Length(min = 0, max = 255, message = "[localNote]配置备注长度不合法(0-255)")
    private String localNote;

    /**
     * 配置路径.
     */
    @NotBlank(message = "[localPath]配置路径不能为空")
    @Length(min = 0, max = 50, message = "[localPath]配置路径长度不合法(0-50)")
    private String localPath;

    /**
     * 是否启用.
     */
    @NotNull(message = "[localValid]是否启用不能为NULL")
    private Boolean localValid;

    /**
     * 启用过滤.
     */
    @NotNull(message = "[filter]启用过滤不能为NULL")
    private Boolean filter;

    /**
     * 过滤配置.
     */
    @Length(min = 0, max = 500, message = "[filterConf]过滤配置长度不合法(0-500)")
    private String filterConf;

    public Long getId() {
        return this.id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getServicesId() {
        return this.servicesId;
    }

    public void setServicesId(Long servicesId) {
        this.servicesId = servicesId;
    }

    public String getLocalTitle() {
        return this.localTitle;
    }

    public void setLocalTitle(String localTitle) {
        this.localTitle = localTitle;
    }

    public String getLocalNote() {
        return this.localNote;
    }

    public void setLocalNote(String localNote) {
        this.localNote = localNote;
    }

    public String getLocalPath() {
        return this.localPath;
    }

    public void setLocalPath(String localPath) {
        this.localPath = localPath;
    }

    public Boolean getLocalValid() {
        return this.localValid;
    }

    public void setLocalValid(Boolean localValid) {
        this.localValid = localValid;
    }

    public Boolean getFilter() {
        return this.filter;
    }

    public void setFilter(Boolean filter) {
        this.filter = filter;
    }

    public String getFilterConf() {
        return this.filterConf;
    }

    public void setFilterConf(String filterConf) {
        this.filterConf = filterConf;
    }
}
